Subject: Re: bug#2414: 23.0.90; use dired-guess-default too for minibuffer-default-add-shell-commands

From: Juri Linkov <[email-masked]>
Date: Mon, 23 Feb 2009 01:37:45 +0200

> Come to think of it, there might be a reason for Dired to keep its own
> set of such rules, in *addition* to creating a global set. That might
> be handy for use by code and hooks etc. Dunno.
>
> But the main thing is to move these two alists out of Dired-X and make
> their associations available generally, in the same way as the MIME
> associations are available generally.

I mostly agree but such a general task is for after the release.

However, now I fixed an omission in dired-x.el to use exactly
the same functions as were implemented for dired-aux.el
(using read-shell-command instead of read-from-minibuffer and
correctly setting minibuffer-default-add-dired-shell-commands
in dired-read-shell-command).  This causes MIME commands to be
automatically added after guess-shell commands.  So currently
Dired-x users can be more happy because they have both command sets.

-- 
Juri Linkov
http://www.jurta.org/emacs/